Fetches a single custom menus based on id. This endpoint allows clients to retrieve custom menu configurations, which may include menu items, categories, and associated metadata

http
GET https://services.leadconnectorhq.com/custom-menus/{customMenuId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
customMenuIdstringYes62e589c1-c456-47e1-a9a7-cb8900014311Unique identifier of the custom menu

Responses

200 - Successfully retrieved custom menu. Returns a single custom menu object, potentially including its structure, items, and relevant metadata.
  • customMenu (object): Single Custom menu link object

json
{}
400 - Bad Request. Invalid query parameters provided.
401 - Unauthorized
json
{}
403 - Forbidden. The client does not have necessary permissions to access custom menu.
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/custom-menus/YOUR_customMenuId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?